## Delete a specific attribute

### cURL

```
curl --request DELETE \
  --url https://live.copilot.fabric.inc/api-offers/attributes/{attributeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**  
- **404**  
- **500**

### Example Response

```json
{
  "_id": "614b58924e92f6861ac9d43b",
  "attributeId": 100002,
  "name": "Brand",
  "values": [[
      "CHS",
      "HCS"
    ]],
  "deleted": true,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}
```

### Error Response

```json
{
  "code": "ATTRIBUTE_NOT_FOUND",
  "message": "No attribute found with this ID."
}
```

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorization

- **Header**: `Authorization`
- **Type**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: A JSON object containing information about the source you wish to pull from. Example:

```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Path Parameters

- **attributeId**: ID of the attribute to be deleted. Example: `100002`

### Response Structure

- **200**: Confirmation response in JSON format.
